<?php
namespace Bushelpowered\Api\Trade\Futures\V1\Model;
        
class TradeLocation 
{
    public string $id;
    public string $companyId;
    public int $centreId;
    public int $cqgCategoryId;
    public string $displayName;
    public int $sortOrder;
    public ?string $salesSeriesId = null;
    public ?string $remoteId = null;
    public ?string $bushelLocationId = null;

    /**
     */
    public function __construct(string $id, string $companyId, int $centreId, int $cqgCategoryId, string $displayName, int $sortOrder, ?string $salesSeriesId, ?string $remoteId, ?string $bushelLocationId)
    {
        $this->id = $id;
        $this->companyId = $companyId;
        $this->centreId = $centreId;
        $this->cqgCategoryId = $cqgCategoryId;
        $this->displayName = $displayName;
        $this->sortOrder = $sortOrder;
        $this->salesSeriesId = $salesSeriesId;
        $this->remoteId = $remoteId;
        $this->bushelLocationId = $bushelLocationId;
    }
    

}